unit uViewEjercicio;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewBase, ExtCtrls, StdCtrls, Buttons, DB, uDADataTable,
  DBCtrls, Grids, DBGrids, uBizEjercicios, Mask, ComCtrls, uCustomView,
  JvComponent, JvFormAutoSize, cxControls, cxContainer, cxEdit, cxTextEdit,
  cxDBEdit, dxLayoutControl, uDAInterfaces, cxGraphics, cxDropDownEdit,
  cxImageComboBox, cxMaskEdit, cxCalendar, cxCheckBox;

type
  IViewEjercicio = interface(IViewBase)
  ['{F44F8AEF-CB9C-44D5-93DA-53D6AB6A2D29}']
    function GetEjercicio: IBizEjercicio;
    procedure SetEjercicio(const Value: IBizEjercicio);
    property Ejercicio: IBizEjercicio read GetEjercicio write SetEjercicio;
  end;
  
  TfrViewEjercicio = class(TfrViewBase, IViewEjercicio)
    DADataSource: TDADataSource;
    dxLayoutControlEjercicioGroup_Root: TdxLayoutGroup;
    dxLayoutControlEjercicio: TdxLayoutControl;
    dxLayoutControlEjercicioGroup1: TdxLayoutGroup;
    dxLayoutControlEjercicioItem3: TdxLayoutItem;
    eNombre: TcxDBTextEdit;
    dxLayoutControlEjercicioItem1: TdxLayoutItem;
    edtFechaIni: TcxDBDateEdit;
    dxLayoutControlEjercicioItem2: TdxLayoutItem;
    edtFechaFin: TcxDBDateEdit;
    dxLayoutControlEjercicioItem5: TdxLayoutItem;
    cbSituacion: TcxDBImageComboBox;
    dxLayoutControlEjercicioItem4: TdxLayoutItem;
    cxDBCheckBox2: TcxDBCheckBox;
    dxLayoutControlEjercicioGroup2: TdxLayoutGroup;
  protected
    FEjercicio: IBizEjercicio;
    function GetEjercicio: IBizEjercicio;
    procedure SetEjercicio(const Value: IBizEjercicio);
  public
    property Ejercicio: IBizEjercicio read GetEjercicio write SetEjercicio;
  end;
  
implementation

uses uDataModuleEjercicios;

{$R *.dfm}

{ TfrViewEjercicios }

{
******************************* TfrViewEjercicios ********************************
}

function TfrViewEjercicio.GetEjercicio: IBizEjercicio;
begin
  Result := FEjercicio;
end;

procedure TfrViewEjercicio.SetEjercicio(const Value: IBizEjercicio);
begin
  FEjercicio := Value;
  if Assigned(FEjercicio) then
    DADataSource.DataTable := FEjercicio.DataTable
  else
    DADataSource.DataTable := NIL;
end;

end.

